package com.medipreco.loopboxplugin;

import io.flutter.plugin.common.BinaryMessenger;
import io.flutter.plugin.common.EventChannel;

public class LoopboxEventHandler {
  private EventChannel devicesEventChannel;
  private BinaryMessenger binaryMessenger;
  private LoopboxStreamHandler eventEmmiter;

  private static final String DEVICES_NEARBY_EVENT = "com.medipreco.loopboxplugin/devices/nearby";

  public LoopboxEventHandler(BinaryMessenger binaryMessenger) {
    this.binaryMessenger = binaryMessenger;
    this.setupEventChannels();
  }

  private void setupEventChannels() {
    devicesEventChannel = new EventChannel(this.binaryMessenger, DEVICES_NEARBY_EVENT);
    this.eventEmmiter = new LoopboxStreamHandler();
    devicesEventChannel.setStreamHandler(this.eventEmmiter);
  }

  public void sendMessage(Object msg) {
    this.eventEmmiter.sendMessage(msg);
  }
}